umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
preconditionwidget.cpp File Reference
`#include "preconditionwidget.h"`
`#include "debug_utils.h"`
`#include "dialog_utils.h"`
`#include "listpopupmenu.h"`
`#include "objectwidget.h"`
`#include "uml.h"`
`#include "umlscene.h"`
`#include "uniqueid.h"`
`#include "idchangelog.h"`
`#include <KLocalizedString>`
`#include <QPainter>`
`#include <QXmlStreamWriter>`

## Macros
#define | PRECONDITION_MARGIN 5
#define | PRECONDITION_WIDTH 30
#define | PRECONDITION_HEIGHT 10

## Macro Definition Documentation

## ◆ PRECONDITION_HEIGHT

#define PRECONDITION_HEIGHT 10

## ◆ PRECONDITION_MARGIN

#define PRECONDITION_MARGIN 5

## ◆ PRECONDITION_WIDTH

#define PRECONDITION_WIDTH 30